<?php
/**
 * Extra custom header and footer: functions and globals for 'Pages' location with defined('SED_LIST')
 *
 * @package extrahf
 * @version 2009-06-15 beta
 * @author dervan
 * @license BSD
 */

defined('SED_CODE') or die('Wrong URL.');

/**
 * Updates $location with list category
 *
 * @global $cfg
 * @global $usr
 * @global $location
 * @global $exhf_part
 * @global $exhf_what
 * @global $exhf_category
 * @param string $part Part is 'header' or 'footer'
 */
function exhf_update_location($part)
{
	global $cfg, $usr, $location, $exhf_part, $exhf_what, $exhf_category;

	if (!defined('SED_LIST') || !empty($exhf_part) || $cfg['plugin']['extrahf']["exhf_c_lst$part"] != 'category')
	{
		return;
	}

	$uri = "skins/{$usr['skin']}/$part";
	if (!empty($exhf_category) && file_exists("$uri.$exhf_what.$exhf_category.tpl"))
	{
		$location = "$exhf_what.$exhf_category";
		$exhf_part = $part;
		return;
	}
	if (file_exists("$uri.$exhf_what.tpl"))
	{
		$location = $exhf_what;
		$exhf_part = $part;
		return;
	}
}

/**
 * Recovers native $location (see list.php)
 *
 * @global $location
 * @global $exhf_part
 * @param string $part Part is 'header' or 'footer'
 */
function exhf_recover_location($part)
{
	global $location, $exhf_part;

	if (defined('SED_LIST') && !empty($exhf_part) && $exhf_part == $part)
	{
		$location = 'Pages';
		$exhf_part = '';
	}
}

/**
 * Returns normalized code
 *
 * @global $lang
 * @global $sed_translit
 * @param string $code Code of category
 * @return string
 */
function exhf_normalize_code($code)
{
	global $lang, $sed_translit;

	if ($lang != 'en' && is_array($sed_translit))
	{
		$code = strtr($code, $sed_translit);
	}
	$code = strtr($code, ' .', '__');
	$code = preg_replace('#[^a-zA-Z0-9\-_]#', '', $code);

	return mb_strtolower($code);
}

/**
 * Globals
 */
if (!defined('SED_LIST'))
{
	return;
}
$exhf_part = '';
$exhf_what = 'list' . ($sed_cat[$c]['group'] ? '.group' : '');
$exhf_category = exhf_normalize_code($sed_cat[$c]['tpl']);
?>