<?php
/**
 * Extra custom header and footer: functions and globals for 'Plugins' location
 *
 * @package extrahf
 * @version 2009-06-15 beta
 * @author dervan
 * @license BSD
 */

defined('SED_CODE') or die('Wrong URL.');

/**
 * Updates $location with plug code
 *
 * @global $cfg
 * @global $usr
 * @global $location
 * @global $exhf_part
 * @global $exhf_code
 * @param string $part Part is 'header' or 'footer'
 */
function exhf_update_location($part)
{
	global $cfg, $usr, $location, $exhf_part, $exhf_code;

	if (defined('SED_PLUG') && empty($exhf_part)
		&& 'code' == $cfg['plugin']['extrahf']["exhf_c_plu$part"]
		&& !empty($exhf_code) && file_exists("skins/{$usr['skin']}/$part.plugins.$exhf_code.tpl")
		)
	{
		$location = "plugins.$exhf_code";
		$exhf_part = $part;
		return;
	}
}

/**
 * Recovers native $location (see plug.php)
 *
 * @global $location
 * @global $exhf_part
 * @param string $part Part is 'header' or 'footer'
 */
function exhf_recover_location($part)
{
	global $location, $exhf_part;

	if (defined('SED_PLUG') && !empty($exhf_part) && $exhf_part == $part)
	{
		$location = 'Plugins';
		$exhf_part = '';
	}
}

/**
 * Globals
 */
if (!defined('SED_PLUG'))
{
	return;
}
$exhf_part = '';
$exhf_code = mb_strtolower($e);
?>